/*
* @Author: Bartuccio Antoine
* @Date:   2019-01-02 22:46:05
* @Last Modified by:   Bartuccio Antoine
* @Last Modified time: 2019-01-03 00:02:48
 */

package commands

import (
	"../shared"
	tb "gopkg.in/tucnak/telebot.v2"
)

// RegisterPrivate registers an user private chat
func RegisterPrivate(m *tb.Message) {

	if m.Chat.Type != tb.ChatPrivate {
		shared.Bot.Send(m.Chat, "Cette commande n'est disponible qu'en messages privés")
	}

	if m.Sender.Username == "" {
		shared.Bot.Send(m.Chat, "Vous devez avoir enregistré un username")
	}

	shared.Users.SetUserChat(m.Sender.Username, m.Chat)
	shared.Bot.Send(m.Chat, "Votre chat privé a bien été enregistré")
}

// UnRegisterPrivate delete an user private chat
func UnRegisterPrivate(m *tb.Message) {

	if m.Chat.Type != tb.ChatPrivate {
		shared.Bot.Send(m.Chat, "Cette commande n'est disponible qu'en messages privés")
	}

	if m.Sender.Username == "" {
		shared.Bot.Send(m.Chat, "Vous devez avoir enregistré un username")
	}

	shared.Users.SetUserChat(m.Sender.Username, nil)
	shared.Bot.Send(m.Chat, "Votre chat privé a bien été supprimé")
}
